<!DOCTYPE html>

<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <div id="app">
        <button v-on:click="openForm">Open Form</button>
        <h2>{{ 'Nilai a = ' + a }}</h2>
        <h2>{{ 'Rata rata = ' + avarage }}</h2>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                a: 0,
                count_a: 0,
                avarage: 0
            },
            computed: {

            },
            methods: {
                get_a: function() {
                    var nilai = prompt('Masukkan Nilai a');
                    this.a = this.a + parseInt(nilai)
                    this.count_a++;
                    this.avarage = this.a / this.count_a;
                    if (this.a <= 10) {
                        return this.openForm()
                    }

                },
                openForm: function() {
                    if (this.a <= 10) {
                        return this.get_a()
                    }
                    return false
                }


            }
        })
    </script>
</body>

</html>